Update a Markdown Document
PUT/api/v8/partner/parse/:document_id
Veryfi's Update a Document by ID endpoint allows you to change a Document that Veryfi's Machine Learning models have already processed. This feature will enable users to update Documents previously processed by Veryfi to ensure data extraction accuracy. Updating a Document is especially useful for correcting mistakes and updating information over time. By changing a processed Document, Veryfi's Machine Learning models can re-learn the updated information, allowing them to stay accurate and up-to-date.
Request
Path Parameters
The unique identifier of the document.
- application/json
Body
Update the document status
Responses
- 200
- 400
- 403
- 404
- 413
- 429
- 499
- 500
- 503
- 504
- default
A processed Markdown Document response.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
The database ID of the markdown document
The markdown content of the converted document.
Page structures returned when details is true.
Type of document
External reference ID
Processing status
S3 path to the markdown document
S3 URL to the PDF file
S3 URL to the image file
Creation timestamp
Last update timestamp
Default value: ``
Document tags
meta DocumentToMarkdownMeta
Meta information about the processed document.
The total number of pages found in the submitted document.
The number of processed pages for the document. The default limit is 50 pages per document. Use max_pages_to_process on the POST request to lower the limit.
pages object[]
An array containing meta info about each processed page.
Possible values: <= 1
The average OCR score of the page.
The width of the page.
The height of the page.
is_blurry ClassNullableBoolField
The processed page is blurry or not
Possible values: <= 1
The score shows how confident the model is that the predicted value belongs to the field. See confidence scores explained for more information.
The extracted value.
source_documents object[]
An array containing meta info about originally submitted documents.
exif (object | null)
EXIF data from the source document
Possible values: <= 1
The average OCR score of the whole document.
Possible values: non-empty
The original file name of the uploaded document.
Possible values: [api.email, api.web, api, browser_extension, lens.bill, lens.invoice, lens.long_receipt, lens.other, lens.receipt, lens.web, lens]
Default value: api
The source of the document's submission for processing.
{
"id": 0,
"document_type": "string",
"status": "string",
"created": "string",
"updated": "string",
"tags": [
"string"
]
}
User error
- application/json
- Schema
- Example (from schema)
Schema
- MALFORMED_PARAMETERS
Default value: fail
Default value: Malformed parameters
Default value: [object Object]
{}
User error
- application/json
- Schema
- Example (from schema)
Schema
- AUTHENTICATION_CREDENTIALS_WERE_NOT_PROVIDED
- THIS_API_KEY_IS_NOT_PERMITTED_TO_ACCESS_THIS_ROUTE
Default value: fail
Default value: Authentication credentials were not provided.
Default value: fail
Default value: This API key is not permitted to access this route
{}
Not found
- application/json
- Schema
- Example (from schema)
Schema
- NOT_FOUND
- DOCUMENT_NOT_FOUND
Default value: fail
Default value: Not found.
Default value: fail
Default value: Document Not Found
{}
Request body too large
- application/json
- Schema
- Example (from schema)
Schema
- REQUEST_BODY_TOO_LARGE
Default value: fail
Default value: Request body too large
{}
Rate limit
- application/json
- Schema
- Example (from schema)
Schema
- YOU_HAVE_BEEN_RATE_LIMITED
Default value: fail
Default value: You have been rate limited
Default value: [object Object]
{}
User error
- application/json
- Schema
- Example (from schema)
Schema
- CLIENT_CLOSED_REQUEST_OR_LOST_CONNECTION
Default value: fail
Default value: Client closed request or lost connection
{}
Unexpected error
Service is temporarily unavailable
- application/json
- Schema
- Example (from schema)
Schema
- SERVICE_IS_TEMPORARILY_UNAVAILABLE_PLEASE_TRY_AGAIN_LATER
Default value: fail
Default value: Service is temporarily unavailable. Please try again later
{}
Gateway timeout. Returned if request takes more than 120 seconds. The request might finish successfully later.
- application/json
- Schema
- Example (from schema)
Schema
- GATEWAY_TIMEOUT
Default value: fail
Default value: Gateway timeout
{}
General error response
- application/json
- Schema
- Example (from schema)
Schema
Default value: fail
{
"status": "fail",
"error": "string"
}